// Bauwerk erstellen	und auf Platz verschieben [Vienna  05.08.2011]    

Private ["_u","_n","_o","_k","_v","_a1","_a2"];

_u = _this select 0;            //Aufrufendes Fahrzeug
_n = (_this select 3) select 0; //Bauwerkname 
_o = (_this select 3) select 1; //Objektname des Bauwerks 
_k = (_this select 3) select 2; //Richtungskorrektur
_v = (_this select 3) select 3; //Verschiebeabstand

//Objekt erstellen
_b = createVehicle [_o, [0,0], [], 0, "NONE"];  

//Objekt drehen nach Richtung des Aufrufenden und Korrektur
_b setDir getDir _u + _k;

//Objekt vor aufrufende Unit stellen
_b setPos [((getPos _u)select 0) + sin(getDir _u) * _v, ((getPos _u)select 1) + cos(getdir _u) * _v];

//Aktionenliste lschen
{_u removeAction _x} forEach BauAktionenID_F; 

//Infotext
_u groupChat format["Bauwerk %1 erstellt!  'Fixieren' oder entfernen mit Aktion",_n];

//Aktion fr aufrufende Unit zum fixieren des Bauwerkes 
_a1 = _u addAction 
  [
    "Bauwerk fixieren!",
    "Bauvehikel\BauVehikel_Aktionen_b2.sqf",
    [_u],
    1003,
    true,
    true
  ];

//Aktion fr aufrufende Unit zum lschen des Bauwerkes 
_a2 = _u addAction 
  [
    "Bauwerk entfernen!",
    "Bauvehikel\BauVehikel_Aktionen_b3.sqf",
    [_u,_b],
    1002,
    true,
    false
  ];
  
//Schleife fr Bauwerk verstellen
BauwerkPlazieren = true;
while {BauwerkPlazieren and alive _u} do
  {
    _b setPos [((getPos _u)select 0) + sin(getDir _u) * _v, ((getPos _u)select 1) + cos(getdir _u) * _v];
    _b setDir getDir _u + _k
  };

//Aktionen Fixiert und Entfernt lschen
_u removeAction _a1;
_u removeAction _a2;

//Aktionenliste erstellen
BauFahrzeugParameter execVM "Bauvehikel\BauVehikel_Aktionen_a2.sqf"

  


